Subject: Bug#3824: exmh fails to start

From: [email-masked] (Amos Shapira)
Date: Thu, 18 Jul 1996 00:06:07 +0300

Package: exmh
Version: 1.6.7-2

exmh will not start running, instead it outputs:
----------------------------------------------------------------------
|birnam| exmh
error while autoloading "Env_Init": bad option "join": should be atime,
dirname, executable, exists, extension, isdirectory, isfile, lstat,
mtime, owned, readable, readlink, root, size, stat, tail, type,
or writable
    while executing
"Env_Init"
    (file "/usr/bin/exmh" line 75)
    invoked from within
"source /usr/bin/exmh"
----------------------------------------------------------------------

Then dies (list of "should be..." folded manually by me to fit to mail
message).

I've got such errors also when I tried to install exmh manually, I
suspect it has something to do with the tcl and tk versions
combination but never found the exact problem nor a fix.

Here are the related package versions I have:

----------------------------------------------------------------------
Desired=Unknown/Install/Remove/Purge
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  exmh            1.6.7-2        An X user interface for MH mail.
ii  tk40            4.0p3-3        The Tk toolkit for TCL and X11 v4.0 - Run-Ti
ii  tcl74           7.4p3-3        The Tool Command Language (TCL) v7.4 - Run-T
ii  mh              6.8.4-2        A set of electronic mail handling programs.
ii  metamail        2.7-3          An implementation of MIME.
ii  pgp-i           2.6.2i-5       Public key encryption system (International 
ii  glimpse         3.5-1          Full-text indexing and searching tools
ii  expect          5.19.0-1       The expect/expectk programs and libraries.
----------------------------------------------------------------------

Thanks.

--Amos

--Amos Shapira                    | "Of course Australia was marked for
133 Shlomo Ben-Yosef st.          |  glory, for its people had been chosen
Jerusalem 93 805                  |  by the finest judges in England."
ISRAEL            [email-masked]  |                     -- Anonymous